from django.conf.urls import url
from tasks import views as tasks_views

urlpatterns = [
    url(r'^path/(?P<path_slug>.*)[-](?P<path_id>\d+)/$', tasks_views.PathDetailView.as_view(), name='path-detail'),
    url(r'^own_videos/$', tasks_views.TaskAnswerListView.as_view(), name='own-video-list'),
    url(r'^other_videos/$', tasks_views.TaskAnswerListView.as_view(), name='other-video-list'),
    url(r'^task_answer/(?P<task_answer_slug>.*)[-](?P<task_answer_id>\d+)/$',
        tasks_views.TaskAnswerDetailView.as_view(),
        name='task-answer-detail'),
    url(r'^task/(?P<task_slug>.*)[-](?P<task_id>\d+)/$', tasks_views.TaskDetailView.as_view(), name='task-detail'),
    url(r'^task_submit/(?P<task_answer_slug>.*)[-](?P<task_answer_id>\d+)/$',
        tasks_views.TaskAnswerSubmittingView.as_view(), name='task-submit-detail'),
]
